pppoa3(8)

NAME
pppoa3 - ppp(d) PPP over ATM interface for SpeedTouch USB and SpeedTouch 330 modem

SYNOPSIS
pppoa3 [OPTION]... -vpi value1 -vci value2

DESCRIPTION

pppoa3 allows ppp(d) to communicate with the SpeedTouch USB modem through a PTY interface. It manages PPP encapsulation into ATM cells, which are then send as aal5 packets to the modem through the USB bus. Unlike pppoa2, pppoa3 uses threads to do its job (for more details read the pppoax-doc-[en,fr].txt document shipped with the driver)

You have to carefully set your vpi and vci values according to your country settings.

Here are some values : vpi.vci = 8.48 for Netherlands
          8.35 for France
          8.67 for France (bis)
          8.35 for Belgium
          8.35 for Italy
          0.38 for UK

MANDATORY

-vpi vpi_value
    Defines vpi value

-vci vci_value
    Defines vci value

OPTIONS

--async, -a
    Force Async mode for ppp communication.

--bridging, -b
    Bridging 1483 mode (PPPoE support).

--clean, -c
    Clean previous instance of pppoa3 according to modem ID

--device, -d device_filename
    Defines which USB device should be used as the SpeedTouch USB modem. On Linux, this is something like /proc/bus/usb/003/006. Usefull when using more than one modem on the same machine.

--alt-ep, -e alternate_number
    Use an alternate endpoint interface. The value 1 is used if nothing is specified as it works with all modem revision. If you specify -1, no alternate endpoint interface will be selected, using the one selected by the system.

--filename, -f log_filename (syslogd unavailable)
    Defines the log filename to use (Default /var/log/pppoa3-ModemID.log)

--modem, -m ModemID
    Defines a modem ID so you can use more than one modem on the same machine running differents pppoa3 with different modem IDs (Default 1)

--pipe, -p
    Enables named pipe control thread (See the -ph option for more details)

--schedule, -s policy
    Defines the schedule policy used for the io threads
        0 - SCHED_OTHER (Non realtime / default)
        1 - SCHED_RR (Realtime round-robin)
        2 - SCHED_FIFO (Realtime fifo)

--verbose level, -v level
    Verbosity level
        - 0 Main messages + Error messages
        - 1 level 0 + State/Warnings messages
        - 2 level 1 + More debug info
        - 3 level 2 + USB packet dumping (can cause driver crash)

--pipehelp, -ph
    Prints an helpfull control pipe command list (See next section)

--help, -h
    Prints a help message

PIPE COMMANDS

pppoa3 can start a control pipe thread when -p option is set or when pppoa3 receives a SIGUSR2 signal. This pipe allows you to send simple commands to pppoa3 in order to modify its behaviour without restarting it.

To execute a command, you just have to type :

    # echo command > /var/run/pppoa3-modemID.pipe

Command List

verbose=level
    Defines the verbosity level (See previous section for 'level' meaning)

iopolicy=policy
    Defines the schedule policy of the 2 IO threads (See previous section for 'policy' meaning)

kill=entity
    'entity' is one of those strings
         pipe -> this turn off the pipe option
         pppoa -> this simulates a modem hangup event

Examples

# echo "verbose=2" > /var/run/pppoa3-modem1.pipe"

# echo "kill=pppoa" > /var/run/pppoa3-modem1.pipe"

RETURN VALUES

0 on success, any other value on failure

SEE ALSO

modem_run(8), pppoa2(8)

AUTHOR
SpeedTouch USB driver development team.